import 'dotenv/config';

import { createLog } from './log';
import type { Logger } from 'winston';
import { readFile, writeFile } from 'fs/promises';

import { DB } from './db';
import type { Photo } from './db';
import { Templates } from './templates';

class Build {
	private log : Logger;
	private tmpl : Templates;
	private db : DB;

	constructor () {
		this.log = createLog('build');
		this.log.info(`Building site: ${new Date()}`);
		this.tmpl = new Templates();
		this.db = new DB();
		this.main();
	}

	private async main () {
		let photos : Photo[];
		await this.tmpl.build();

		photos = await this.db.getAll();
		await this.tmpl.render('index', { photos });
	}
}

new Build();